Subject: bug#54488: 29.0.50; move-to-column/overlay-related regression in latest master, perhaps 28?

From: Dmitry Gutov <[email-masked]>
Date: Tue, 22 Mar 2022 14:33:13 +0200

On 22.03.2022 11:48, João Távora wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> On 21.03.2022 23:59, João Távora wrote:
>>> So maybe Dmitry has some valuable insight as to how exactly company
>>> constructs its overlay or overlays.
>>
>> You can try putting a multiline string on the 'display property.
>>
>> Instead of just "BAR".
> 
> I tried that, but I don't know how to align it like company does.

Have you tried 'before-string as well?

>> Apart from that, I can only suggest reading the code and
>> experimenting.
> 
> I admit I was hoping that you as company maintainer/specialist :-) could
> provide a small snippet to create a dummy but company-realistic overlay
> of, say, two completion "foo" and "bar" in the middle of any buffer.  Or
> perhaps explain in layman's terms how company constructs its overlays.

I think it would be faster for you to just read the code.

I'm not sure you need a realistic-looking overlay, though.